Skip to main content
`Ctrl`+`K`

# VecCreateSeqHIP

Creates a standard, sequential, array-style vector.

## Synopsis

    #include <petscvec.h>
    PetscErrorCode VecCreateSeqHIP(MPI_Comm comm, PetscInt n, Vec *v)

Collective, Possibly Synchronous

## Input Parameters

- comm - the communicator, must be `PETSC_COMM_SELF`

- n - the vector length

## Output Parameter

- v - the vector

## Notes

Use `VecDuplicate()` or `VecDuplicateVecs()` to form additional vectors of the same type as an existing vector.

This function may initialize `PetscDevice`, which may incur a device synchronization.

## See Also

Vectors and Parallel Data, `PetscDeviceInitialize()`, `VecCreate()`, `VecCreateSeq()`, `VecCreateSeqHIPWithArray()`, `VecCreateMPI()`, `VecCreateMPIHIP()`, `VecDuplicate()`, `VecDuplicateVecs()`, `VecCreateGhost()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/cupm/hip/vecseqcupm.hip.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages